### Enumeration

# Camel MimeParserState

#### Declaration

    enum Camel.MimeParserState

#### Description

No description available.

#### Members

`CAMEL_MIME_PARSER_STATE_INITIAL`

  No description available.

  - Value: `0`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_PRE_FROM`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_FROM`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_HEADER`

  No description available.

  - Value: `3`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_BODY`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_MULTIPART`

  No description available.

  - Value: `5`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_MESSAGE`

  No description available.

  - Value: `6`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_PART`

  No description available.

  - Value: `7`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_END`

  No description available.

  - Value: `8`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_EOF`

  No description available.

  - Value: `8`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_PRE_FROM_END`

  No description available.

  - Value: `9`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_FROM_END`

  No description available.

  - Value: `10`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_HEADER_END`

  No description available.

  - Value: `11`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_BODY_END`

  No description available.

  - Value: `12`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_MULTIPART_END`

  No description available.

  - Value: `13`
  - Available since: 1.2
`CAMEL_MIME_PARSER_STATE_MESSAGE_END`

  No description available.

  - Value: `14`
  - Available since: 1.2